// BeerServlet.java  for CISC474, H07, P. Conrad, Spring 2007

package edu.udel.cisc474.pconrad.BeerAdvisor.controller;

import edu.udel.cisc474.pconrad.BeerAdvisor.model.BeerExpert;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*; // for List and Iterator


/**
 * <p>
 * BeerServlet is the controller for an MVC based webapp
 * called BeerAdvisor. The BeerServlet takes input from a web form, representing
 * a users preferences in terms of Beer.  The BeerServlet submits that
 * input to the model class <code>BeerExpert</code>, and posts the
 * resulting list of Beers to a request attribute.  The BeerServlet then
 * hands off control to the View of the MVC architecture, namely a 
 * JSP page called result.jsp.  
 * <p>
 * The original is based on code from p. 80 of 
 * "Head First Servlets and JSP", 1st Edition.
 * 
 * @author    P.Conrad, based on code from HFSJ
 */

public class BeerServlet extends HttpServlet {

    /** 
     * doPost is the event handler for the HTTP post method.
     */

    public void doPost(HttpServletRequest request,
		       HttpServletResponse response)
		       throws IOException, ServletException {

	String c = request.getParameter("color");


	BeerExpert be = 
	    new BeerExpert("jdbc:mysql//cisc474.acad.cis.udel.edu",
			   "pconrad",
			   "abcde12345");

	List result = be.getBrands(c);

	// the object "result" is a list of beers.
	// we put that into an attribute in the request called "styles"
	// The JSP file will look for that "attribute"

	request.setAttribute("styles",result);

	// now we need a request dispatcher for the JSP,
	// which is sent the request and the response.
	// both the request and the response were passed into the
	// doPost method by the container...

	RequestDispatcher view =
	    request.getRequestDispatcher("result.jsp");

	view.forward(request, response);

    }

    
}

		       
